For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Model Sync Field Query

GET
https://app.polytomic.com/api/connections/:id/modelsync/source/fields
GET
/api/connections/:id/modelsync/source/fields
$curl -G https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/source/fields \
> -H "X-Polytomic-Version: 2025-09-18" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d "params[table]=customers" \
> -d "params[schema]=public"
1{
2 "data": [
3 {
4 "created_at": "2024-01-15T09:30:00Z",
5 "created_by": {
6 "id": "12345678-1234-1234-1234-123456789012",
7 "name": "John Doe",
8 "type": "user"
9 },
10 "description": "Unique identifier",
11 "example": "c1234f56-7890-1234-5678-90abcdef1234",
12 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
13 "label": "ID",
14 "name": "id",
15 "remote_type": "uuid",
16 "type": "string",
17 "unique": true,
18 "updated_at": "2024-01-15T09:30:00Z",
19 "user_added": false
20 },
21 {
22 "created_at": "2024-01-15T09:35:00Z",
23 "created_by": {
24 "id": "87654321-4321-4321-4321-210987654321",
25 "name": "Jane Smith",
26 "type": "user"
27 },
28 "description": "Customer's full name",
29 "example": "Alice Johnson",
30 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
31 "label": "Full Name",
32 "name": "full_name",
33 "remote_type": "varchar",
34 "type": "string",
35 "unique": false,
36 "updated_at": "2024-01-15T09:35:00Z",
37 "user_added": false
38 },
39 {
40 "created_at": "2024-01-15T09:40:00Z",
41 "created_by": {
42 "id": "12345678-1234-1234-1234-123456789012",
43 "name": "John Doe",
44 "type": "user"
45 },
46 "description": "Customer's email address",
47 "example": "alice.johnson@example.com",
48 "id": "b2c3d4e5-f678-9012-abcd-ef3456789012",
49 "label": "Email",
50 "name": "email",
51 "remote_type": "varchar",
52 "type": "string",
53 "unique": true,
54 "updated_at": "2024-01-15T09:40:00Z",
55 "user_added": false
56 },
57 {
58 "created_at": "2024-01-15T09:45:00Z",
59 "created_by": {
60 "id": "87654321-4321-4321-4321-210987654321",
61 "name": "Jane Smith",
62 "type": "user"
63 },
64 "description": "Date the customer was created",
65 "example": "2023-11-20",
66 "id": "c3d4e5f6-7890-1234-abcd-ef5678901234",
67 "label": "Created Date",
68 "name": "created_date",
69 "remote_type": "date",
70 "type": "string",
71 "unique": false,
72 "updated_at": "2024-01-15T09:45:00Z",
73 "user_added": false
74 }
75 ]
76}
Returns the source fields available on a connection for a given source configuration. Pass the model's source configuration as query parameters to resolve the fields that the connection will expose for that specific configuration. The returned fields are what can be referenced in sync field mappings. > 📘 Results depend on the source configuration you supply. A different > table or query in the configuration may return a completely different field > list. The available source configuration parameters are described by [`GET /api/connections/{id}/modelsync/source`](../../../../../../api-reference/model-sync/get-source).
Was this page helpful?
Previous

List Syncs

Next

Returns the source fields available on a connection for a given source configuration.

Pass the model’s source configuration as query parameters to resolve the fields that the connection will expose for that specific configuration. The returned fields are what can be referenced in sync field mappings.

📘 Results depend on the source configuration you supply. A different table or query in the configuration may return a completely different field list.

The available source configuration parameters are described by GET /api/connections/{id}/modelsync/source.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection.

Headers

X-Polytomic-VersionstringOptional

Query parameters

paramsmap from strings to lists of stringsOptional

Source configuration, matching the params used with GET /api/connections/{id}/modelsync/source, that selects the specific source to return fields for.

Response

OK
datalist of objects or null

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error